{pkgs, ...}: {
  imports = [
    ./bash.nix
    ./cargo.nix
    ./firefox.nix
    ./foot.nix
    ./git.nix
    ./gpg.nix
    ./ime.nix
    ./mako.nix
    ./nvim.nix
    ./sway.nix
  ];

  users.users.buffet = {
    isNormalUser = true;
    uid = 1000;
    hashedPassword = "$y$j9T$g/a4KaQ5VitWI9ZtAh9i3/$wjejk5W8LMc0gaVgw69kwrKLqBgZ95ekaOl/GaTOZVC";
    extraGroups = [
      "networkmanager"
      "sway"
      "uinput"
      "wheel"
    ];
  };

  home-manager.users.buffet = {
    home = {
      stateVersion = "23.11";

      packages = with pkgs; [
        #SDL2
        #SDL2.dev
        #alejandra
        #bear
        #black
        #c2ffi
        #cage
        #cairo
        #chromium
        #ed
        #gcc
        #gnumake
        #mpv
        #python3

        cargo
        cargo-crev
        cargo-limit
        mosh
        cargo-nextest
        du-dust
        fd
        gdb
        github-cli
        htop
        hyperfine
        jq
        kcachegrind
        linuxPackages.perf
        man-pages
        man-pages-posix
        okular
        pavucontrol
        radare2
        ripgrep
        rr
        rustfmt
        strace
        tokei
        trash-cli
        tree
        valgrind
        wget
        wl-clipboard

        #(luajit.withPackages (ps:
        #  with ps; [
        #    fennel
        #    inspect
        #    luv
        #  ]))

        #(retroarch.override {
        #  cores = with libretro; [
        #    genesis-plus-gx
        #  ];
        #})
      ];

      pointerCursor = {
        package = pkgs.phinger-cursors;
        name = "phinger-cursors-light";
        gtk.enable = true;
      };
    };

    programs.direnv = {
      enable = true;
      nix-direnv.enable = true;
    };
  };
}
